slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSReset

Resets the EPS context to the initial state (prior to setup) and destroys any allocated Vecs and Mats.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSReset(EPS eps)

Collective

### Input Parameter

| eps | - eigensolver context obtained from EPSCreate()

### Note

This can be used when a problem of different matrix size wants to be solved. All options that have previously been set are preserved, so in a next use the solver configuration is the same, but new sizes for matrices and vectors are allowed.

### See Also

EPSDestroy()

### Level

advanced

### Location

src/eps/interface/epsbasic.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages